summaryrefslogtreecommitdiff
path: root/Master/bin/x86_64-solaris/fmtutil
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2010-06-12 16:18:44 +0000
committerKarl Berry <karl@freefriends.org>2010-06-12 16:18:44 +0000
commit94f19211b60216837037b8d380677cf51cf3e3af (patch)
treea2392bd8e8cfbe6e33876eab6fc4272037cd4662 /Master/bin/x86_64-solaris/fmtutil
parent02fde557f87c6b7aca90a1b78635195caf509a0c (diff)
propagate --edit disabling to bindirs
git-svn-id: svn://tug.org/texlive/trunk@18914 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/bin/x86_64-solaris/fmtutil')
-rwxr-xr-xMaster/bin/x86_64-solaris/fmtutil50
1 files changed, 26 insertions, 24 deletions
diff --git a/Master/bin/x86_64-solaris/fmtutil b/Master/bin/x86_64-solaris/fmtutil
index a24df810123..2aa8c3a0643 100755
--- a/Master/bin/x86_64-solaris/fmtutil
+++ b/Master/bin/x86_64-solaris/fmtutil
@@ -59,7 +59,7 @@ test -n "${ZSH_VERSION+set}" && alias -g '${1+"$@"}'='"$@"'
progname=fmtutil
argv0=$0
-version='$Id: fmtutil 18642 2010-05-31 11:55:10Z mpg $'
+version='$Id: fmtutil 18913 2010-06-12 16:17:53Z karl $'
cnf=fmtutil.cnf # name of the config file
export PATH
@@ -86,9 +86,9 @@ help()
cat <<eof
$version
Usage: fmtutil [OPTION]... CMD [ARG]...
-Usage: mktexfmt FMT.fmt|BASE.base|MEM.mem|FMTNAME
+Usage: mktexfmt FORMAT.fmt|BASE.base|MEM.mem|FMTNAME.EXT
-Rebuild and manage TeX formats (and Metafont bases and MetaPost mems).
+Rebuild and manage TeX formats, Metafont bases and MetaPost mems.
If the command name ends in mktexfmt, only one format can be created.
The only options supported are --help and --version, and the command
@@ -100,11 +100,11 @@ nothing else.
If not operating in mktexfmt mode, the command line can be more general,
and multiple formats can be generated, as follows.
-Valid options for fmtutil:
- --cnffile FILE
+Optional behavior:
+ --cnffile FILE read FILE instead of fmtutil.cnf.
--fmtdir DIRECTORY
--no-engine-subdir don't use engine-specific subdir of the fmtdir
- --quiet (not implemented, just for compatibility)
+ --quiet be silent
--test (not implemented, just for compatibility)
--dolinks (not implemented, just for compatibility)
--force (not implemented, just for compatibility)
@@ -122,13 +122,17 @@ Valid commands for fmtutil:
filtered to available formats
--catcfg output the content of the config file
--showhyphen FORMATNAME print name of hyphenfile for format FORMATNAME
- --edit edit config file
+ --edit no-op in TeX Live
--version show version info
--help show this message
The config file is named fmtutil.cnf, and
running kpsewhich fmtutil.cnf should show the active file.
+For more information about fmt generation in TeX Live, try
+tlmgr --help or see http://tug.org/texlive/doc/tlmgr.html.
+The \`generate' action in tlmgr does the work.
+
Report bugs to: tex-k@tug.org
TeX Live home page: <http://tug.org/texlive/>
eof
@@ -479,12 +483,12 @@ main()
cmd=catcfg;;
--listcfg)
cmd=listcfg;;
- --quiet|-q)
+ --quiet|-q|--silent)
verboseFlag=false;;
--test|--dolinks|--force)
;;
"") break;;
- *) abort "$progname: unknown option \`$1'. Try $progname --help for help";;
+ *) abort "unknown option \`$1'. Try $progname --help for help";;
esac
do test $# -gt 0 && shift; done
@@ -513,26 +517,24 @@ main()
fi
fi
- # showhyphen and edit do not need any temp. directory, so do it here:
+ # these commands need no temp directory, so do them here:
case "$cmd" in
- showhyphen)
- show_hyphen_file "$arg"
- cleanup $?
- ;;
- edit)
- ${VISUAL-${EDITOR-vi}} $cnf_file
- ;;
- enablefmt|disablefmt)
- $cmd $arg
- ;;
catcfg)
grep -v '^ *#' "$cnf_file" | sed 's@^ *@@; s@ *$@@' | grep . | sort
- cleanup $?
- ;;
+ cleanup $? ;;
+ edit)
+ echo "$0: fmtutil --edit is disabled in TeX Live;" >&2
+ echo "$0: use a file fmtutil-local.cnf instead." >&2
+ echo "$0: See tlmgr --help or http://tug.org/texlive/doc/tlmgr.html." >&2
+ cleanup 0 ;;
+ enablefmt|disablefmt)
+ $cmd $arg ;; # does not return
listcfg)
listcfg_loop
- cleanup $?
- ;;
+ cleanup $? ;;
+ showhyphen)
+ show_hyphen_file "$arg"
+ cleanup $? ;;
esac
if test -n "$cfgmaint"; then